Запуск огурца для iOS в работе jenkins не выполняется с помощью Errno :: ECONNREFUSED: (Соединение отклонено – подключиться (2) (http: // localhost: 37265))

Я запускаю коробку jenkins (OS X yosemitee и xcode6.1, jenkins 1.586, огурец 0.11), и одним из шагов задания является запуск огурца.

Сценарий (другой скрипт перед этим удаляет папку с производными данными):

#build calabash version of app ~/.jenkins/userContent/externalTools/xctool/bin/xctool \ -workspace elektra.xcworkspace \ -scheme "elektra-cal" \ -configuration Debug_Dogfish \ -sdk iphonesimulator \ -reporter plain \ build #if the build failed, get out buildResult=$? if [ "$buildResult" != "0" ]; then exit $buildResult fi #run calabash tests mkdir -p ../../build/cucumberTests/ killall "iOS Simulator" cucumber DEBUG=1 test/cucumber -f junit -o ../../build/cucumberTests/ --tags @working -v || : 

И я получаю следующую ошибку (обратите внимание, что если я запускаю те же команды из командной строки напрямую, все отлично работает)

 No matching processes belonging to you were found Code: * test/cucumber/support/env.rb * test/cucumber/support/01_launch.rb * test/cucumber/support/hooks.rb * test/cucumber/support/support.rb * test/cucumber/step_definitions/calabash_steps.rb * test/cucumber/step_definitions/capture.rb * test/cucumber/step_definitions/create_account.rb * test/cucumber/step_definitions/equipment.rb * test/cucumber/step_definitions/global.rb * test/cucumber/step_definitions/history.rb * test/cucumber/step_definitions/login_steps.rb * test/cucumber/step_definitions/resource_center.rb * test/cucumber/step_definitions/team.rb * test/cucumber/step_definitions/work_orders.rb Features: * test/cucumber/Capture.feature * test/cucumber/Create_Account.feature * test/cucumber/Equipment.feature * test/cucumber/History.feature * test/cucumber/Login.feature * test/cucumber/Resource_Center.feature * test/cucumber/Settings.feature * test/cucumber/Team.feature * test/cucumber/Work_Orders.feature Parsing feature files took 0m0.079s [32m INFO: Using uia strategy: 'preferences'[0m Retrying.. Errno::ECONNREFUSED: (Connection refused - connect(2) (http://localhost:37265)) Retrying.. Errno::ECONNREFUSED: (Connection refused - connect(2) (http://localhost:37265)) Failing... Errno::ECONNREFUSED [32m INFO: Using uia strategy: 'preferences'[0m Retrying.. Errno::ECONNREFUSED: (Connection refused - connect(2) (http://localhost:37265)) Retrying.. Errno::ECONNREFUSED: (Connection refused - connect(2) (http://localhost:37265)) Failing... Errno::ECONNREFUSED [32m INFO: Using uia strategy: 'preferences'[0m Retrying.. Errno::ECONNREFUSED: (Connection refused - connect(2) (http://localhost:37265)) Retrying.. Errno::ECONNREFUSED: (Connection refused - connect(2) (http://localhost:37265)) Failing... Errno::ECONNREFUSED [32m INFO: Using uia strategy: 'preferences'[0m Retrying.. Errno::ECONNREFUSED: (Connection refused - connect(2) (http://localhost:37265)) Retrying.. Errno::ECONNREFUSED: (Connection refused - connect(2) (http://localhost:37265)) Failing... Errno::ECONNREFUSED [32m INFO: Using uia strategy: 'preferences'[0m Retrying.. Errno::ECONNREFUSED: (Connection refused - connect(2) (http://localhost:37265)) Retrying.. Errno::ECONNREFUSED: (Connection refused - connect(2) (http://localhost:37265)) Failing... Errno::ECONNREFUSED [32m INFO: Using uia strategy: 'preferences'[0m Retrying.. Errno::ECONNREFUSED: (Connection refused - connect(2) (http://localhost:37265)) Retrying.. Errno::ECONNREFUSED: (Connection refused - connect(2) (http://localhost:37265)) Failing... Errno::ECONNREFUSED [32m INFO: Using uia strategy: 'preferences'[0m Retrying.. Errno::ECONNREFUSED: (Connection refused - connect(2) (http://localhost:37265)) Retrying.. Errno::ECONNREFUSED: (Connection refused - connect(2) (http://localhost:37265)) Failing... Errno::ECONNREFUSED [32m INFO: Using uia strategy: 'preferences'[0m Retrying.. Errno::ECONNREFUSED: (Connection refused - connect(2) (http://localhost:37265)) Retrying.. Errno::ECONNREFUSED: (Connection refused - connect(2) (http://localhost:37265)) Failing... Errno::ECONNREFUSED [32m INFO: Using uia strategy: 'preferences'[0m Retrying.. Errno::ECONNREFUSED: (Connection refused - connect(2) (http://localhost:37265)) Retrying.. Errno::ECONNREFUSED: (Connection refused - connect(2) (http://localhost:37265)) Failing... Errno::ECONNREFUSED 

Любая идея, почему это не работает?

Эта ошибка означает, что на вашем TCP-порту 37265 ничто не слушает. Я не очень хорошо знаком с самой калабашей, но вы обязательно должны начать там. Моя первоначальная догадка заключается в том, что у вас нет сервера calabash, чтобы отправить ваши тесты для тестирования.

Найден ответ на форуме te iOS-calabash: https://groups.google.com/forum/#!topic/calabashiosiosss_ZmFrgXP4

Необходимо добавить экспорт LC_ALL = "en_US.UTF-8" в работу сценария оболочки в jenkins

Interesting Posts

Добавить атрибут фотографии в коллекцию пользователей в Кинви

Получение параметров строки запроса из url в UIWebView в Swift?

Как обнаружить приложение работает на симуляторе или устройстве

Как преобразовать ошибки CFNetwork в NSURLErrorDomain?

Просмотр анимации в iPhone

Как накладывать элементы управления над видом камеры в Phonegap 3.2.0?

Как включить фигурные скобки в строку NSURL?

Рассчитать продолжительность между датами ios в формате Years, months и date

Почему он возвращает nil, когда я разворачиваю массив строк в localNotification?

Есть ли способ отключить все анимации на ios?

Безопасность Keychain iOS

Как получить событие вызова с помощью CTCallCenter: setCallEventHandler: это произошло во время приостановки приложения?

Перемещение индикатора активности внутри UIAlertView

Как я могу заставить iPhone слушать звуковые частоты выше определенного порога?

Настройка приложения iOS: метод didFinishLaunchingWithOptions: в проекте Cordova / Ionic

Давайте будем гением компьютера.